Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.search
Interface ISearchRecord

All Known Implementing Classes:
  RemoteSearchRecord

public interface ISearchRecord

Bean-type interface for an individual search record. Only the title is required for an individual search record.

Method Summary
`java.lang.String` | `getDescription()` Gets the description.
`java.lang.String` | `getImageURL()` Gets the image URL.
`java.lang.String` | `getOpenDocumentURL()` Gets the URL to open the document.
`java.lang.String` | `getTitle()` Gets the title for the record.
`void` | `setDescription(java.lang.String description)` Sets the description.
`void` | `setImageURL(java.lang.String imageURL)` Sets the image URL for the image to be displayed with the record.
`void` | `setOpenDocumentURL(java.lang.String openDocumentURL)` Sets the URL for the search record, used to click through to the document.
`void` | `setTitle(java.lang.String title)` Sets the title for the record.

Method Detail

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description. The description is displayed underneath the title. To prevent HTML encoding of the description, use `setDescriptionEncoded` in `ISearchResult`.

  Parameters:
    `description` - the record description (summary)

### getDescription

    public java.lang.String getDescription()

  Gets the description.

  Returns:
    the record description

### setImageURL

    public void setImageURL(java.lang.String imageURL)

  Sets the image URL for the image to be displayed with the record.

  Parameters:
    `imageURL` - the image URL

### getImageURL

    public java.lang.String getImageURL()

  Gets the image URL.

  Returns:
    the image URL

### setOpenDocumentURL

    public void setOpenDocumentURL(java.lang.String openDocumentURL)

  Sets the URL for the search record, used to click through to the document. The open document url should be unescaped, for example, "http://www.yahoo.com?d=SUNW&t=d" NOT "http://www.yahoo.com?d=SUNW&amp;t=d" The portal creates a link to the search record using the title and openDocumentURL.

  Parameters:
    `openDocumentURL` - record (must be a URL)

### getOpenDocumentURL

    public java.lang.String getOpenDocumentURL()

  Gets the URL to open the document.

  Returns:
    the URL to the document

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title for the record. The title is the only required field for a search record. The portal creates a link to the search record using the title and openDocumentURL.

  Parameters:
    `title` - the record title

### getTitle

    public java.lang.String getTitle()

  Gets the title for the record.

  Returns:
    title the record title

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.